* {
    margin: 0;
    padding: 0;
  }
  body{

      height: 80vh;
      width: 100vw;
      display: flex;
      align-items: center;
      justify-content: center;
  }


#main{
    height: 60%;
    width: 60%;
    border: 2px solid red;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background: SkyBlue;
    }

    #main h1{
        font-size:2rem;
        font-family: sans-serif;
        color: red;
        margin-top: 50px;
    }

    #main .inp{
    font-weight:700;
  font-size:1.5rem;
    margin:50px auto;
    width: 500px;
     height:50px;
    padding: 10px;
    border: none;
    outline: none;
    border-radius: 40px;
}

#main .form{
    position: relative;
}


#main .btn{
    position: absolute;
    top: 53px;
    right: 4px;
    width: 150px;
    height: 63px;
    border: none;
    background-color: black;
    color:white;
    font-weight: bold;
    border-radius: 30px;

}




@media (min-width:0px) and (max-width:428px) {
#main{
	width:90%;
}
    
    #main h1{
        font-size: 1.0rem;
    }

    #main .inp{
        width:250px;
        padding: 7px;
    }
    #main .btn{
        position: absolute;
        top: 51px;
        right: 2px;
        width: 80px;
        height: 28px;  
    }
}


@media (min-width:0px) and (max-width:350px) {

    h1{
        font-size: 1.0rem;
    }

    #main .inp{
        width:200px;
        padding: 5px;
    }

    #main .btn{
        position: absolute;
        top: 51px;
        right: 2px;
        width: 60px;
        height: 24px;  
    }
}

@media (min-width:0px) and (max-width:286px) {

    #main h1{
     font-size: 0.9rem;
   }
   #main .btn{
        position: absolute;
        top: 52px;
        width: 55px;
        height: 22px;  
    }

}
